package br.dsc.upe.poli.banco;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;

public class Tabelas {


	public Tabelas(){
		
	}
	
	private static String getTabelaAluno() {
		String sql = "CREATE TABLE  ALUNOS_TABLE ("
				+ "id_aluno integer DEFAULT nextval('id_aluno'),"
				+ "nome_aluno 	     VARCHAR(50)," + "idade_aluno       INT,"
				+ "turma_aluno       VARCHAR(20),"
				+ "identidade_aluno  VARCHAR(15),"
				+ "datanasimento_aluno DATE,"
				+ "PRIMARY KEY (identidade_aluno));";
		return sql;

	}
	public static void criaTabelas() throws ClassNotFoundException, SQLException{
		ArrayList<String> tabelas = new ArrayList<String>();
		tabelas.add(getTabelaAluno());
		Connection conn = new ConexaoFactory().getConexao();
		Statement stmt = conn.createStatement();
		;
		for (String tabela : tabelas) {			
			stmt.execute(tabela);
		}

		conn.close();
	}
	
	

}
